%define gitdate git20161216

Name:           kaudiocreator
Version:        1.3
Release:        %mkrel 8.%{gitdate}.3
Summary:        CD ripper and audio encoder frontend for Plasma5
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://www.kde.org/applications/multimedia/kaudiocreator/
#Source:         http://opendesktop.org/CONTENT/content-files/107645-%%{name}-%%{version}.tar.bz2
# git snapshot branch based on Kf5: https://cgit.kde.org/kaudiocreator.git/
Source:         %{name}-%{version}+%{gitdate}.tar.xz
Patch0:         kaudiocreator-1.3-fix-translations-and-icons-install.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Cddb)
BuildRequires:  cmake(KF5CompactDisc)

BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libdiscid)
BuildRequires:  pkgconfig(taglib)

Requires:       plasma-workspace
Recommends:     %{name}-handbook

%description
CD ripper and audio encoder frontend.

%files -f %name.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/kconf_update/%{name}-libkcddb.upd
%{_kf5_datadir}/kconf_update/%{name}-meta.upd
%{_kf5_datadir}/kconf_update/upgrade-%{name}-metadata.sh
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/config.kcfg/%{name}_encoders.kcfg
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_services}/ServiceMenus/audiocd_extract.desktop
%{_kf5_knotificationsdir}/%{name}.notifyrc

#--------------------------------------------------------------------------

%package        handbook
Summary:        Kaudiocreator Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides kaudiocreator handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# temporary workaround until an upstream fix
for png in 16 32; do
mv hi$png-app-kaudiocreator.png $png-apps-kaudiocreator.png
done

%build

%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %name --all-name


%changelog
* Sun Dec 25 2016 daviddavid <daviddavid> 1.3-8.git20161216.3.mga6
+ Revision: 1077273
- rebuild for new libkcddb

* Sun Dec 18 2016 daviddavid <daviddavid> 1.3-8.git20161216.2.mga6
+ Revision: 1075843
- rebuild due to broken BS upload

* Sun Dec 18 2016 daviddavid <daviddavid> 1.3-8.git20161216.1.mga6
+ Revision: 1075829
- new git snapshot branch based on Kf5
- port to Kf5/Qt5
- add handbook subpackage

* Mon Feb 08 2016 umeabot <umeabot> 1.3-7.mga6
+ Revision: 942735
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 751071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 680936
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-4.mga4
+ Revision: 506557
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3-3.mga3
+ Revision: 355825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + mikala <mikala>
    - Add requires for kcm_cddb (needed to configure kcddb under kde)

* Tue Jul 03 2012 fwang <fwang> 1.3-2.mga3
+ Revision: 266876
- br kcddb
- update br

* Sat Sep 10 2011 fwang <fwang> 1.3-1.mga2
+ Revision: 142022
- new version 1.3
- ad locale files
- new version 1.2.95

* Thu Mar 03 2011 jquelin <jquelin> 1.2.90-1.mga1
+ Revision: 63325
- mageia rebuild
- imported package kaudiocreator


* Sun Aug 29 2010 Funda Wang <fwang@mandriva.org> 1.2.90-1mdv2011.0
+ Revision: 574037
- BR discid
- update to new version 1.2.90

* Sun Apr 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.2.81-2mdv2010.1
+ Revision: 536497
- rebuild to fix "undefined symbol"

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 1.2.81-1mdv2010.1
+ Revision: 463293
- new version 1.2.81

* Sun Jun 28 2009 Funda Wang <fwang@mandriva.org> 1.2.80-1mdv2010.0
+ Revision: 390246
- New version 1.2.80

* Sat Nov 29 2008 Anssi Hannula <anssi@mandriva.org> 1.2-0.838162.2mdv2009.1
+ Revision: 308134
- obsoletes kdemultimedia-kaudiocreator

* Sun Jul 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2-0.838162.1mdv2009.0
+ Revision: 250325
- import kaudiocreator


